Bug 876408 - Review Request: perl-Boost-Geometry-Utils - Boost::Geometry::Utils Perl module
Review Request: perl-Boost-Geometry-Utils - Boost::Geometry::Utils Perl module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 876405
Blocks: 890839
  Show dependency treegraph
 
Reported: 2012-11-13 22:03 EST by Miro Hrončok
Modified: 2013-03-04 17:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-11-13 22:03:14 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Boost-Geometry-Utils.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Boost-Geometry-Utils-0.05-1.fc17.src.rpm
Description: Boost::Geometry::Utils Perl module
Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-01-16 23:09:29 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Boost-Geometry-Utils.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Boost-Geometry-Utils-0.05-4.fc18.src.rpm

- Using dos2unix instead of sed
- Removed deleting empty dirs
- Dropped perl macro
- Removed BRs provided by perl package
Comment 2 Petr Šabata 2013-01-17 03:30:35 EST
I'll take the review...

> - Using dos2unix instead of sed

Why?  What's the advantage?
Comment 3 Miro Hrončok 2013-01-17 05:33:44 EST
The action is more obvious (readable) in the spec, I suppose.

When reading the spec over again, some part of my brain remembered, someone has told me once to use dos2unix instead of sed. It's part of my subconscious now.
Comment 4 Petr Šabata 2013-01-17 11:33:46 EST
(In reply to comment #3)
> The action is more obvious (readable) in the spec, I suppose.
> 
> When reading the spec over again, some part of my brain remembered, someone
> has told me once to use dos2unix instead of sed. It's part of my
> subconscious now.

It's mostly a matter of style.  I was just curious.

Issues found while looking at your package:

Missing build-time dependencies:
perl(File::Temp) (from t/00-compile.t:11)
perl(Exporter) (from lib/Boost/Geometry/Utils.pm:9)
perl(XSLoader) (from lib/Boost/Geometry/Utils.pm:12)

You can drop the following deps as they aren't actually used anywhere:
perl(ExtUtils::Typemaps::Default)
perl(ExtUtils::XSpp)
perl(Module::Build)

What's the point of including the 'src' directory in the documentation?
If you really want to package it, consider putting it in a doc subpackage.  My guess is the package users probably won't need those 31MiB installed.  The same applies to the xsp directory, even though it's quite small.
If you're going to keep these, also change the License tag to "(GPL+ or Artistic) and Boost and MIT".

And...
(In reply to comment #1)
> - Dropped perl macro
You could also drop it in the MODULE_COMPAT virtual dependency line.
Comment 5 Miro Hrončok 2013-01-17 11:46:39 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Boost-Geometry-Utils.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Boost-Geometry-Utils-0.05-5.fc18.src.rpm

- Dropped perl macro in MODULE_COMPAT
- Removed src and xsp from %%doc
- Dropped converting src to UTF-8
- Dropped converting newlines and dos2unix BR
- Dropped BRs: perl(ExtUtils::Typemaps::Default)
               perl(ExtUtils::XSpp)
               perl(Module::Build)
- Added BRs:   perl(File::Temp)
               perl(Exporter)
               perl(XSLoader)
Comment 6 Petr Šabata 2013-01-18 08:44:54 EST
Everything addressed.

However, the build fails because it can't find the prerequisities specified in Build.PL.  I'm sorry for the confusion -- I should have checked that.  Please, re-add the dropped BRs before pushing the package.

Anyway, approving.
Comment 7 Miro Hrončok 2013-01-18 10:01:48 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Boost-Geometry-Utils.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Boost-Geometry-Utils-0.05-6.fc18.src.rpm

Added back perl(ExtUtils::Typemaps::Default), builds in mock.
Comment 8 Miro Hrončok 2013-01-18 10:04:14 EST
New Package SCM Request
=======================
Package Name: perl-Boost-Geometry-Utils
Short Description: Boost::Geometry::Utils Perl module
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2013-01-18 10:37:07 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-01-18 12:50:37 EST
perl-Boost-Geometry-Utils-0.05-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Boost-Geometry-Utils-0.05-6.fc18
Comment 11 Fedora Update System 2013-01-19 22:12:19 EST
perl-Boost-Geometry-Utils-0.05-6.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-01-28 10:07:43 EST
perl-Boost-Geometry-Utils-0.05-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-02-21 12:29:14 EST
perl-Boost-Geometry-Utils-0.05-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Boost-Geometry-Utils-0.05-6.fc17
Comment 14 Fedora Update System 2013-03-04 17:26:15 EST
perl-Boost-Geometry-Utils-0.05-6.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.